<template>
  <cv-accordion>
    <cv-accordion-item>
      <template slot="title">
        Space Segment
        <cv-tooltip tip="The space segment of the mission consists of all its parts that are in space, i.e. the spacecraft itself." />
      </template>
      <template slot="content">
        <Parameters :parameters="parameters.space" />
      </template>
    </cv-accordion-item>
    <cv-accordion-item>
      <template slot="title">
        Ground segment
        <cv-tooltip tip="The ground segment of the mission consists of all earth-based elements of the mission used by its operators, i.e. the ground station." />
      </template>
      <template slot="content">
        <Parameters :parameters="parameters.ground" />
      </template>
    </cv-accordion-item>
  </cv-accordion>
</template>

<script>
import '../styles/_accordions.scss';
import parameterList from '../parameters.js';
import Parameters from './Parameters.vue';

export default {
  components: {
    Parameters
  },
  data: function() {
    return {
      parameters: parameterList
    }
  },
  mounted() {
    // Provide debugging access to the list of all the parameters
    window.parameters = parameterList;
  }
}
</script>
